zenilib: zenilib/jni/external/libpng/pngrtran.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
pngrtran.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Macros

#define | CHOP(x) (x)=((png_uint_16)(((png_uint_32)(x)*255+32895) >> 16))

## Typedefs

typedef struct png_dsort_struct | png_dsort
typedef png_dsort FAR * | png_dsortp
typedef png_dsort FAR *FAR * | png_dsortpp

## Functions

static png_fixed_point | convert_gamma_value (png_structp png_ptr, double output_gamma)
void PNGAPI | png_build_grayscale_palette (int bit_depth, png_colorp palette)
void | png_do_chop (png_row_infop row_info, png_bytep row)
void | png_do_compose (png_row_infop row_info, png_bytep row, png_structp png_ptr)
void | png_do_encode_alpha (png_row_infop row_info, png_bytep row, png_structp png_ptr)
void | png_do_expand (png_row_infop row_info, png_bytep row, png_const_color_16p trans_color)
void | png_do_expand_16 (png_row_infop row_info, png_bytep row)
void | png_do_expand_palette (png_row_infop row_info, png_bytep row, png_const_colorp palette, png_const_bytep trans_alpha, int num_trans)
void | png_do_gamma (png_row_infop row_info, png_bytep row, png_structp png_ptr)
void | png_do_gray_to_rgb (png_row_infop row_info, png_bytep row)
void | png_do_quantize (png_row_infop row_info, png_bytep row, png_const_bytep palette_lookup, png_const_bytep quantize_lookup)
void | png_do_read_filler (png_row_infop row_info, png_bytep row, png_uint_32 filler, png_uint_32 flags)
void | png_do_read_intrapixel (png_row_infop row_info, png_bytep row)
void | png_do_read_invert_alpha (png_row_infop row_info, png_bytep row)
void | png_do_read_swap_alpha (png_row_infop row_info, png_bytep row)
void | png_do_read_transformations (png_structp png_ptr, png_row_infop row_info)
int | png_do_rgb_to_gray (png_structp png_ptr, png_row_infop row_info, png_bytep row)
void | png_do_scale_16_to_8 (png_row_infop row_info, png_bytep row)
void | png_do_unpack (png_row_infop row_info, png_bytep row)
void | png_do_unshift (png_row_infop row_info, png_bytep row, png_const_color_8p sig_bits)
static int | png_gamma_threshold (png_fixed_point screen_gamma, png_fixed_point file_gamma)
static void | png_init_palette_transformations (png_structp png_ptr)
void | png_init_read_transformations (png_structp png_ptr)
static void | png_init_rgb_transformations (png_structp png_ptr)
void | png_read_transform_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_set_alpha_mode (png_structp png_ptr, int mode, double output_gamma)
void PNGFAPI | png_set_alpha_mode_fixed (png_structp png_ptr, int mode, png_fixed_point output_gamma)
void PNGAPI | png_set_background (png_structp png_ptr, png_const_color_16p background_color, int background_gamma_code, int need_expand, double background_gamma)
void PNGFAPI | png_set_background_fixed (png_structp png_ptr, png_const_color_16p background_color, int background_gamma_code, int need_expand, png_fixed_point background_gamma)
void PNGAPI | png_set_crc_action (png_structp png_ptr, int crit_action, int ancil_action)
void PNGAPI | png_set_expand (png_structp png_ptr)
void PNGAPI | png_set_expand_16 (png_structp png_ptr)
void PNGAPI | png_set_expand_gray_1_2_4_to_8 (png_structp png_ptr)
void PNGAPI | png_set_gamma (png_structp png_ptr, double scrn_gamma, double file_gamma)
void PNGFAPI | png_set_gamma_fixed (png_structp png_ptr, png_fixed_point scrn_gamma, png_fixed_point file_gamma)
void PNGAPI | png_set_gray_to_rgb (png_structp png_ptr)
void PNGAPI | png_set_palette_to_rgb (png_structp png_ptr)
void PNGAPI | png_set_quantize (png_structp png_ptr, png_colorp palette, int num_palette, int maximum_colors, png_const_uint_16p histogram, int full_quantize)
void PNGAPI | png_set_read_user_transform_fn (png_structp png_ptr, png_user_transform_ptr read_user_transform_fn)
void PNGAPI | png_set_rgb_to_gray (png_structp png_ptr, int error_action, double red, double green)
void PNGFAPI | png_set_rgb_to_gray_fixed (png_structp png_ptr, int error_action, png_fixed_point red, png_fixed_point green)
void PNGAPI | png_set_scale_16 (png_structp png_ptr)
void PNGAPI | png_set_strip_16 (png_structp png_ptr)
void PNGAPI | png_set_strip_alpha (png_structp png_ptr)
void PNGAPI | png_set_tRNS_to_alpha (png_structp png_ptr)
static png_fixed_point | translate_gamma_flags (png_structp png_ptr, png_fixed_point output_gamma, int is_screen)

## Macro Definition Documentation

#define CHOP | ( |  | x | ) | (x)=((png_uint_16)(((png_uint_32)(x)*255+32895) >> 16))

Referenced by png_init_read_transformations().

## Typedef Documentation

typedef struct png_dsort_struct png_dsort

typedef png_dsort FAR* png_dsortp

Definition at line 377 of file pngrtran.c.

typedef png_dsort FAR* FAR* png_dsortpp

Definition at line 378 of file pngrtran.c.

## Function Documentation

static png_fixed_point convert_gamma_value | ( | png_structp | png_ptr,
|  | double | output_gamma
| ) |  |

static

Definition at line 218 of file pngrtran.c.

References floor(), PNG_FP_1, PNG_FP_MAX, and PNG_FP_MIN.

Referenced by png_set_alpha_mode(), and png_set_gamma().

void PNGAPI png_build_grayscale_palette | ( | int | bit_depth,
|  | png_colorp | palette
| ) |  |

Definition at line 3419 of file pngrtran.c.

References i, NULL, and png_debug.

void png_do_chop | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 2667 of file pngrtran.c.

References png_debug.

Referenced by png_do_read_transformations().

void png_do_compose | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_structp | png_ptr
| ) |  |

Definition at line 3477 of file pngrtran.c.

References i, if(), NULL, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_composite, png_composite_16, png_debug, and PNG_FLAG_OPTIMIZE_ALPHA.

Referenced by png_do_read_transformations().

void png_do_encode_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_structp | png_ptr
| ) |  |

Definition at line 4390 of file pngrtran.c.

References NULL, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_CONST, png_debug, and png_warning().

Referenced by png_do_read_transformations().

void png_do_expand | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_color_16p | trans_color
| ) |  |

Definition at line 4609 of file pngrtran.c.

References i, int, NULL, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_debug, PNG_ROWBYTES, and red.

Referenced by png_do_read_transformations().

void png_do_expand_16 | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 4839 of file pngrtran.c.

References PNG_COLOR_TYPE_PALETTE.

Referenced by png_do_read_transformations().

void png_do_expand_palette | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_colorp | palette,
|  | png_const_bytep | trans_alpha,
|  | int | num_trans
| ) |  |

Definition at line 4456 of file pngrtran.c.

References i, int, PNG_COLOR_TYPE_PALETTE, and png_debug.

Referenced by png_do_read_transformations().

void png_do_gamma | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_structp | png_ptr
| ) |  |

Definition at line 4189 of file pngrtran.c.

References d, i, int, NULL, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, and png_debug.

Referenced by png_do_read_transformations().

void png_do_gray_to_rgb | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 3078 of file pngrtran.c.

References i, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_GRAY_ALPHA, png_debug, and PNG_ROWBYTES.

Referenced by png_do_read_transformations().

void png_do_quantize | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_bytep | palette_lookup,
|  | png_const_bytep | quantize_lookup
| ) |  |

Definition at line 4867 of file pngrtran.c.

References i, NULL, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_debug, PNG_QUANTIZE_BLUE_BITS, PNG_QUANTIZE_GREEN_BITS, PNG_QUANTIZE_RED_BITS, and PNG_ROWBYTES.

Referenced by png_do_read_transformations().

void png_do_read_filler | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_uint_32 | filler,
|  | png_uint_32 | flags
| ) |  |

Definition at line 2891 of file pngrtran.c.

References i, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_RGB, png_debug, and PNG_FLAG_FILLER_AFTER.

Referenced by png_do_read_transformations().

void png_do_read_intrapixel | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 4963 of file pngrtran.c.

References i, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, png_debug, and red.

Referenced by png_read_row().

void png_do_read_invert_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 2789 of file pngrtran.c.

References i, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB_ALPHA, and png_debug.

Referenced by png_do_read_transformations().

void png_do_read_swap_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 2692 of file pngrtran.c.

References i, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_RGB_ALPHA, and png_debug.

Referenced by png_do_read_transformations().

void png_do_read_transformations | ( | png_structp | png_ptr,
|  | png_row_infop | row_info
| ) |  |

Definition at line 2077 of file pngrtran.c.

References if(), NULL, PNG_16_TO_8, PNG_BACKGROUND_IS_GRAY, PNG_BGR, PNG_COLOR_MASK_ALPHA, PNG_COLOR_TYPE_GRAY_ALPHA, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB_ALPHA, PNG_COMPOSE, png_debug, png_do_bgr(), png_do_chop(), png_do_compose(), png_do_encode_alpha(), png_do_expand(), png_do_expand_16(), png_do_expand_palette(), png_do_gamma(), png_do_gray_to_rgb(), png_do_invert(), png_do_packswap(), png_do_quantize(), png_do_read_filler(), png_do_read_invert_alpha(), png_do_read_swap_alpha(), png_do_rgb_to_gray(), png_do_scale_16_to_8(), png_do_strip_channel(), png_do_swap(), png_do_unpack(), png_do_unshift(), PNG_ENCODE_ALPHA, png_error(), PNG_EXPAND, PNG_EXPAND_16, PNG_EXPAND_tRNS, PNG_FILLER, PNG_FLAG_DETECT_UNINITIALIZED, PNG_FLAG_ROW_INIT, PNG_GAMMA, PNG_GRAY_TO_RGB, PNG_INVERT_ALPHA, PNG_INVERT_MONO, PNG_PACK, PNG_PACKSWAP, PNG_QUANTIZE, PNG_READ_ALPHA_MODE_SUPPORTED, PNG_READ_BACKGROUND_SUPPORTED, PNG_READ_RGB_TO_GRAY_SUPPORTED, PNG_RGB_TO_GRAY, PNG_RGB_TO_GRAY_ERR, PNG_RGB_TO_GRAY_WARN, PNG_ROWBYTES, PNG_SCALE_16_TO_8, PNG_SHIFT, PNG_STRIP_ALPHA, PNG_SWAP_ALPHA, PNG_SWAP_BYTES, PNG_USER_TRANSFORM, and png_warning().

Referenced by png_push_process_row(), and png_read_row().

int png_do_rgb_to_gray | ( | png_structp | png_ptr,
|  | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 3217 of file pngrtran.c.

References i, NULL, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_MASK_PALETTE, PNG_CONST, png_debug, PNG_ROWBYTES, and red.

Referenced by png_do_read_transformations().

void png_do_scale_16_to_8 | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 2606 of file pngrtran.c.

References int, and png_debug.

Referenced by png_do_read_transformations().

void png_do_unpack | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 2369 of file pngrtran.c.

References i, int, and png_debug.

Referenced by png_do_read_transformations().

void png_do_unshift | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_color_8p | sig_bits
| ) |  |

Definition at line 2467 of file pngrtran.c.

References bp, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, and png_debug.

Referenced by png_do_read_transformations().

static int png_gamma_threshold | ( | png_fixed_point | screen_gamma,
|  | png_fixed_point | file_gamma
| ) |  |

static

Definition at line 1052 of file pngrtran.c.

References PNG_FP_1, png_gamma_significant(), and png_muldiv().

Referenced by png_init_read_transformations().

static void png_init_palette_transformations | ( | png_structp | png_ptr | ) |

static

Definition at line 1077 of file pngrtran.c.

References i, PNG_BACKGROUND_EXPAND, PNG_COMPOSE, PNG_ENCODE_ALPHA, PNG_EXPAND, PNG_EXPAND_tRNS, PNG_FLAG_OPTIMIZE_ALPHA, and PNG_INVERT_ALPHA.

Referenced by png_init_read_transformations().

void png_init_read_transformations | ( | png_structp | png_ptr | ) |

Definition at line 1245 of file pngrtran.c.

References png_color_struct::blue, CHOP, png_color_struct::green, i, int, PNG_16_TO_8, PNG_BACKGROUND_EXPAND, PNG_BACKGROUND_GAMMA_FILE, PNG_BACKGROUND_GAMMA_SCREEN, PNG_BACKGROUND_GAMMA_UNIQUE, PNG_BACKGROUND_IS_GRAY, png_build_gamma_table(), PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_PALETTE, PNG_COMPOSE, png_composite, png_debug, PNG_ENCODE_ALPHA, png_error(), PNG_EXPAND, PNG_EXPAND_16, PNG_EXPAND_tRNS, PNG_FLAG_OPTIMIZE_ALPHA, PNG_FP_1, PNG_GAMMA, png_gamma_8bit_correct(), png_gamma_correct(), png_gamma_significant(), png_gamma_threshold(), PNG_GRAY_TO_RGB, png_init_palette_transformations(), png_init_rgb_transformations(), PNG_READ_RGB_TO_GRAY_SUPPORTED, png_reciprocal(), png_reciprocal2(), PNG_RGB_TO_GRAY, PNG_SCALE_16_TO_8, PNG_SHIFT, PNG_STRIP_ALPHA, png_warning(), red, and png_color_struct::red.

Referenced by png_read_start_row().

static void png_init_rgb_transformations | ( | png_structp | png_ptr | ) |

static

Definition at line 1160 of file pngrtran.c.

References PNG_BACKGROUND_EXPAND, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COMPOSE, PNG_ENCODE_ALPHA, PNG_EXPAND, PNG_EXPAND_tRNS, and PNG_FLAG_OPTIMIZE_ALPHA.

Referenced by png_init_read_transformations().

void png_read_transform_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 1877 of file pngrtran.c.

References one, PNG_16_TO_8, PNG_ADD_ALPHA, PNG_COLOR_MASK_ALPHA, PNG_COLOR_MASK_COLOR, PNG_COLOR_TYPE_GRAY, PNG_COLOR_TYPE_PALETTE, PNG_COLOR_TYPE_RGB, PNG_COLOR_TYPE_RGB_ALPHA, PNG_COMPOSE, png_debug, PNG_EXPAND, PNG_EXPAND_16, PNG_EXPAND_tRNS, PNG_FILLER, PNG_GRAY_TO_RGB, PNG_PACK, PNG_QUANTIZE, PNG_RGB_TO_GRAY, PNG_ROWBYTES, PNG_SCALE_16_TO_8, PNG_STRIP_ALPHA, and PNG_USER_TRANSFORM.

Referenced by png_read_update_info().

void PNGAPI png_set_alpha_mode | ( | png_structp | png_ptr,
|  | int | mode,
|  | double | output_gamma
| ) |  |

Definition at line 353 of file pngrtran.c.

References convert_gamma_value(), and png_set_alpha_mode_fixed().

void PNGFAPI png_set_alpha_mode_fixed | ( | png_structp | png_ptr,
|  | int | mode,
|  | png_fixed_point | output_gamma
| ) |  |

Definition at line 243 of file pngrtran.c.

References NULL, PNG_ALPHA_ASSOCIATED, PNG_ALPHA_BROKEN, PNG_ALPHA_OPTIMIZED, PNG_ALPHA_PNG, PNG_BACKGROUND_EXPAND, PNG_BACKGROUND_GAMMA_FILE, PNG_COMPOSE, png_debug, PNG_ENCODE_ALPHA, png_error(), PNG_FLAG_DETECT_UNINITIALIZED, PNG_FLAG_OPTIMIZE_ALPHA, PNG_FP_1, png_memset, png_reciprocal(), and translate_gamma_flags().

Referenced by png_set_alpha_mode().

void PNGAPI png_set_background | ( | png_structp | png_ptr,
|  | png_const_color_16p | background_color,
|  | int | background_gamma_code,
|  | int | need_expand,
|  | double | background_gamma
| ) |  |

Definition at line 125 of file pngrtran.c.

References png_fixed(), and png_set_background_fixed().

void PNGFAPI png_set_background_fixed | ( | png_structp | png_ptr,
|  | png_const_color_16p | background_color,
|  | int | background_gamma_code,
|  | int | need_expand,
|  | png_fixed_point | background_gamma
| ) |  |

Definition at line 94 of file pngrtran.c.

References NULL, PNG_BACKGROUND_EXPAND, PNG_BACKGROUND_GAMMA_UNKNOWN, PNG_COMPOSE, png_debug, PNG_ENCODE_ALPHA, PNG_FLAG_OPTIMIZE_ALPHA, png_memcpy, png_sizeof, PNG_STRIP_ALPHA, and png_warning().

Referenced by png_set_background().

void PNGAPI png_set_crc_action | ( | png_structp | png_ptr,
|  | int | crit_action,
|  | int | ancil_action
| ) |  |

Definition at line 25 of file pngrtran.c.

References NULL, PNG_CRC_DEFAULT, PNG_CRC_ERROR_QUIT, PNG_CRC_NO_CHANGE, PNG_CRC_QUIET_USE, PNG_CRC_WARN_DISCARD, PNG_CRC_WARN_USE, png_debug, PNG_FLAG_CRC_ANCILLARY_MASK, PNG_FLAG_CRC_ANCILLARY_NOWARN, PNG_FLAG_CRC_ANCILLARY_USE, PNG_FLAG_CRC_CRITICAL_IGNORE, PNG_FLAG_CRC_CRITICAL_MASK, PNG_FLAG_CRC_CRITICAL_USE, and png_warning().

void PNGAPI png_set_expand | ( | png_structp | png_ptr | ) |

Definition at line 823 of file pngrtran.c.

References NULL, png_debug, PNG_EXPAND, PNG_EXPAND_tRNS, and PNG_FLAG_ROW_INIT.

Referenced by png_read_png().

void PNGAPI png_set_expand_16 | ( | png_structp | png_ptr | ) |

Definition at line 896 of file pngrtran.c.

References NULL, png_debug, PNG_EXPAND, PNG_EXPAND_16, PNG_EXPAND_tRNS, PNG_FLAG_DETECT_UNINITIALIZED, and PNG_FLAG_ROW_INIT.

Referenced by png_read_png().

void PNGAPI png_set_expand_gray_1_2_4_to_8 | ( | png_structp | png_ptr | ) |

Definition at line 867 of file pngrtran.c.

References NULL, png_debug, PNG_EXPAND, and PNG_FLAG_ROW_INIT.

Referenced by png_set_gray_to_rgb().

void PNGAPI png_set_gamma | ( | png_structp | png_ptr,
|  | double | scrn_gamma,
|  | double | file_gamma
| ) |  |

Definition at line 809 of file pngrtran.c.

References convert_gamma_value(), and png_set_gamma_fixed().

void PNGFAPI png_set_gamma_fixed | ( | png_structp | png_ptr,
|  | png_fixed_point | scrn_gamma,
|  | png_fixed_point | file_gamma
| ) |  |

Definition at line 769 of file pngrtran.c.

References NULL, png_debug, png_error(), and translate_gamma_flags().

Referenced by png_set_gamma().

void PNGAPI png_set_gray_to_rgb | ( | png_structp | png_ptr | ) |

Definition at line 913 of file pngrtran.c.

References NULL, png_debug, PNG_FLAG_ROW_INIT, PNG_GRAY_TO_RGB, and png_set_expand_gray_1_2_4_to_8().

Referenced by png_read_png().

void PNGAPI png_set_palette_to_rgb | ( | png_structp | png_ptr | ) |

Definition at line 854 of file pngrtran.c.

References NULL, png_debug, PNG_EXPAND, PNG_EXPAND_tRNS, and PNG_FLAG_ROW_INIT.

void PNGAPI png_set_quantize | ( | png_structp | png_ptr,
|  | png_colorp | palette,
|  | int | num_palette,
|  | int | maximum_colors,
|  | png_const_uint_16p | histogram,
|  | int | full_quantize
| ) |  |

Definition at line 381 of file pngrtran.c.

References d, i, int, j, k, NULL, PNG_COLOR_DIST, png_debug, png_free(), png_memset, PNG_QUANTIZE, PNG_QUANTIZE_BLUE_BITS, PNG_QUANTIZE_GREEN_BITS, PNG_QUANTIZE_RED_BITS, and png_sizeof.

void PNGAPI png_set_read_user_transform_fn | ( | png_structp | png_ptr,
|  | png_user_transform_ptr | read_user_transform_fn
| ) |  |

Definition at line 1030 of file pngrtran.c.

References NULL, png_debug, and PNG_USER_TRANSFORM.

Referenced by test_one_file().

void PNGAPI png_set_rgb_to_gray | ( | png_structp | png_ptr,
|  | int | error_action,
|  | double | red,
|  | double | green
| ) |  |

Definition at line 1013 of file pngrtran.c.

References NULL, png_fixed(), and png_set_rgb_to_gray_fixed().

void PNGFAPI png_set_rgb_to_gray_fixed | ( | png_structp | png_ptr,
|  | int | error_action,
|  | png_fixed_point | red,
|  | png_fixed_point | green
| ) |  |

Definition at line 929 of file pngrtran.c.

References NULL, PNG_COLOR_TYPE_PALETTE, png_debug, png_error(), PNG_ERROR_ACTION_ERROR, PNG_ERROR_ACTION_NONE, PNG_ERROR_ACTION_WARN, PNG_EXPAND, PNG_FP_1, PNG_RGB_TO_GRAY, PNG_RGB_TO_GRAY_ERR, PNG_RGB_TO_GRAY_WARN, and png_warning().

Referenced by png_set_rgb_to_gray().

void PNGAPI png_set_scale_16 | ( | png_structp | png_ptr | ) |

Definition at line 141 of file pngrtran.c.

References NULL, png_debug, and PNG_SCALE_16_TO_8.

Referenced by png_read_png().

void PNGAPI png_set_strip_16 | ( | png_structp | png_ptr | ) |

Definition at line 155 of file pngrtran.c.

References NULL, PNG_16_TO_8, and png_debug.

Referenced by png_read_png().

void PNGAPI png_set_strip_alpha | ( | png_structp | png_ptr | ) |

Definition at line 168 of file pngrtran.c.

References NULL, png_debug, and PNG_STRIP_ALPHA.

Referenced by png_read_png().

void PNGAPI png_set_tRNS_to_alpha | ( | png_structp | png_ptr | ) |

Definition at line 882 of file pngrtran.c.

References png_debug, PNG_EXPAND, PNG_EXPAND_tRNS, and PNG_FLAG_ROW_INIT.

static png_fixed_point translate_gamma_flags | ( | png_structp | png_ptr,
|  | png_fixed_point | output_gamma,
|  | int | is_screen
| ) |  |

static

Definition at line 181 of file pngrtran.c.

References PNG_DEFAULT_sRGB, PNG_FLAG_ASSUME_sRGB, PNG_FP_1, PNG_GAMMA_MAC_18, PNG_GAMMA_MAC_INVERSE, PNG_GAMMA_MAC_OLD, PNG_GAMMA_sRGB, and PNG_GAMMA_sRGB_INVERSE.

Referenced by png_set_alpha_mode_fixed(), and png_set_gamma_fixed().